
From: Corey Minyard <minyard@acm.org>

Make the IPMI SMBus select I2C, not depend on it, so I2C gets enabled
properly when the IPMI SMBus is enabled.

Signed-off-by: Corey Minyard <minyard@acm.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/ipmi/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/ipmi/Kconfig~add-the-ipmi-smbus-driver-fix-fix drivers/char/ipmi/Kconfig
--- 25/drivers/char/ipmi/Kconfig~add-the-ipmi-smbus-driver-fix-fix	Wed Feb  9 14:53:06 2005
+++ 25-akpm/drivers/char/ipmi/Kconfig	Wed Feb  9 14:53:06 2005
@@ -53,7 +53,8 @@ config IPMI_SI
 
 config IPMI_SMB
        tristate 'IPMI SMBus handler'
-       depends on IPMI_HANDLER && I2C
+       depends on IPMI_HANDLER
+       select I2C
        help
          Provides a driver for a SMBus interface to a BMC, meaning that you
 	 have a driver that must be accessed over an I2C bus instead of a
_
